## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate libbpf-cargo

Name:           rust-%{crate}
Version:        0.10.0
Release:        %autorelease
Summary:        Cargo plugin to build bpf programs

# Upstream license specification: LGPL-2.1 OR BSD-2-Clause
License:        LGPLv2 or BSD
URL:            https://crates.io/crates/libbpf-cargo
Source:         %{crates_source}
# Turn on the novendor feature by default
Patch0:         libbpf-cargo-fix-metadata.diff
# Fix finding libbpf-rs
Patch1:         libbpf-cargo-fix-finding-libbpf-rs.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Cargo plugin to build bpf programs.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE LICENSE.BSD-2-Clause LICENSE.LPGL-2.1
%doc README.md
%{_bindir}/cargo-libbpf

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang
Requires:       rustfmt

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE LICENSE.BSD-2-Clause LICENSE.LPGL-2.1
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+novendor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+novendor-devel %{_description}

This package contains library source intended for building other packages which
use the "novendor" feature of the "%{crate}" crate.

%files       -n %{name}+novendor-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%if 0%{?fedora} < 36
sed -i -e 's/version = "0.6.0-1"/version = "0.4.0-2"/' Cargo.toml
%else
%if 0%{?fc36}
sed -i -e 's/version = "0.6.0-1"/version = "0.5.0-2"/' Cargo.toml
%else
sed -i -e 's/version = "0.6.0-1"/version = "0.6.1-2"/' Cargo.toml
%endif
%endif
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'clang'
echo 'rust-libbpf-rs-devel'
echo 'rustfmt'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Feb 17 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.10.0-1
- Update to 0.10.0 (resolves: rhbz#2028951)

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.9.3-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.9.3-1
- Update to 0.9.3; Fixes: RHBZ#2022162

* Mon Oct 25 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.9.2-2
- Downgrade libbpf-sys to 0.4.0-2 on Fedora 35 and earlier

* Thu Oct 14 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.9.2-1
- Update to 0.9.2; Fixes: RHBZ#1989691

* Fri Jul 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.8.1-1
- Update to 0.8.1; Fixes: RHBZ#1983186

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.7.2-4
- Workaround https://pagure.io/fedora-rust/rust2rpm/issue/138

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Wed Jun 16 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.7.1-2
- Add clang and rustfmt to Requires as they're runtime dependencies

* Thu Jun 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1
- Build for all architectures
- Enable tests by default and gate out the ones that don't work
- Backport PR#112 to bump libbpf-sys to 0.4.0-1

* Wed Jun 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.7.0-1
- Initial package

